# Function useCan

- useCan(objectId, subjectId, actionId): {
  data: boolean | void;
  loading: boolean;
  refetch: (() => Promise<boolean>);
  }

- #### Parameters

  - objectId: Id | Id[]
  - subjectId: Id | Id[]
  - actionId: Id | Id[]

  #### Returns {
  data: boolean | void;
  loading: boolean;
  refetch: (() => Promise<boolean>);
  }

  - ##### data: boolean | void

  - ##### loading: boolean

  - ##### refetch: (() => Promise<boolean>)

    - - (): Promise<boolean>

      - #### Returns Promise<boolean>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:2787